# Push Images Template
.push:
    script:
        - echo "$HARBOR_PASSWORD" | docker login -u "$HARBOR_USER" --password-stdin $REGISTRY_URL
        - NAME="${REGISTRY_URL}/${PROJECT_NAME}/${SERVICE_NAME}"
        - docker push ${NAME}:${CI_COMMIT_SHORT_SHA}
        - docker push ${NAME}:${CI_DEFAULT_BRANCH}
    rules:
        - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH